{ pkgs, config, ... }:
{
  gtk = {
    enable = true;
    font = {
      name = "${config.look.fonts.main}";
      size = 11;
    };
    theme = {
      name = "Colloid-Dark";
      package = pkgs.colloid-gtk-theme.override {
        themeVariants = [ "default" ];
        colorVariants = [ "dark" ];
        sizeVariants = [ "standard" ];
        tweaks = [
          "black"
          "rimless"
          "normal"
        ];
      };
    };
    iconTheme = {
      name = "Papirus-Dark";
      package = pkgs.papirus-icon-theme.override {
        color = "${config.look.colors.folder}";
      };
    };
    cursorTheme = {
      package = pkgs.simp1e-cursors;
      name = "Simp1e-Dark";
    };

    gtk3 = {
      bookmarks = [
        "file:///home/jimbo/Keepers"
        "file:///home/jimbo/Downloads"
        "file:///home/jimbo/Documents"
        "file:///home/jimbo/Videos"
        "file:///home/jimbo/Pictures/Screenshots"
        "file:///etc/nixos"
      ];

      # Disable shadows
      extraCss = ''
        * { outline-width: 0px; }
        decoration { box-shadow: none; }
      '';
    };

    # Stop gtk4 from being rounded
    gtk4.extraCss = ''
      window {
        border-top-left-radius:0;
        border-top-right-radius:0;
        border-bottom-left-radius:0;
        border-bottom-right-radius:0;
      }
    '';
  };
}
